aboutsummaryrefslogtreecommitdiffstats
path: root/mcp/scripts/lib.sh
diff options
context:
space:
mode:
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>2017-10-14 22:47:45 +0200
committerAlexandru Avadanii <Alexandru.Avadanii@enea.com>2017-10-15 18:56:07 +0000
commit644dc6a6cd8c4a309352a2b2602d757f4acbf63b (patch)
treefe4f70468e0ca7b0c3685bd6ba422b14d81b72fa /mcp/scripts/lib.sh
parent94825e25dcc5bf4a8490690fc1cf423df0e9d7fe (diff)
states: Break on error, retry states up to 5 times
While applying scenario states, break on error, and retry failed state up to 5 times. Apply the same behavior for `salt.sh`. Add new deploy parameter, '-D', backed up by 'CI_DEBUG' env var, which gates deploy sh scripts logging (set -x). Also extend '-f' deploy parameter, allowing it to be specified more than once; the first occurence will skip infra VM creation, but still sync reclass & other config from local repo, while a second occurence will also disable config sync. To prevent glusterfs client state from failing due to non-existent nova user/group, move it after nova:compute's nova state is applied. Change-Id: I234e126e16be0e133d878957bd88fed946955de8 Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com> (cherry picked from commit 23f9ef727310a8ef449372313785241df6557559)
Diffstat (limited to 'mcp/scripts/lib.sh')
-rw-r--r--mcp/scripts/lib.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/mcp/scripts/lib.sh b/mcp/scripts/lib.sh
index 7449a2172..da129a7da 100644
--- a/mcp/scripts/lib.sh
+++ b/mcp/scripts/lib.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -e
##############################################################################
# Copyright (c) 2017 Mirantis Inc., Enea AB and others.
# All rights reserved. This program and the accompanying materials
@@ -198,7 +198,8 @@ function wait_for {
# shellcheck disable=SC2034
for attempt in $(seq "${total_attempts}"); do
# shellcheck disable=SC2015
- eval "${cmdstr}" && break || true
+ eval "${cmdstr}" && return 0 || true
echo -n '.'; sleep "${sleep_time}"
done
+ return 1
}